Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 538432 - dev-python/netaddr-0.7.13 version bump
Summary: dev-python/netaddr-0.7.13 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andreis Vinogradovs ( slepnoga )
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-01 12:44 UTC by Florian Steinel
Modified: 2015-04-03 17:26 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Steinel 2015-02-01 12:44:32 UTC
simply copying netaddr-0.7.12.ebuild netaddr-0.7.13.ebuild installed the update.

---------------
Release: 0.7.13
---------------
Date: 31st Dec 2014

^^^^^^^^^^^^^^^^^^^^
Changes since 0.7.12
^^^^^^^^^^^^^^^^^^^^

* IPAddress objects can now be added to/subtracted from each other

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Specific bug fixes addressed in this release
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

FIXED Issue 73: https://github.com/drkjam/netaddr/issues/73
    - Adding IP Addresses

FIXED Issue 74: https://github.com/drkjam/netaddr/issues/74
    - compute static global ipv6 addr from the net prefix and mac address

FIXED Issue 75: https://github.com/drkjam/netaddr/issues/75
    - add classifiers for python 3.3 and 3.4 support
Comment 1 Ian Delaney (RETIRED) gentoo-dev 2015-02-03 03:20:56 UTC
This version fails one doctest file under py3

AssertionError: Failed doctest test for tutorial.txt
  File "/mnt/gen2/TmpDir/portage/dev-python/netaddr-0.7.13/work/netaddr-0.7.13/netaddr/tests/3.x/eui/tutorial.txt", line 0
and several other lines.

Failed example:
    oui.registration().address
Expected:
    ['Lot 8, Jalan Hi-Tech 2/3', 'Kulim Hi-Tech Park', 'Kulim Kedah 09000', 'MALAYSIA']
Got:
    ['Lot 8, Jalan Hi-Tech 2/3', 'Kulim Hi-Tech Park', 'Kulim Kedah 09000', 'MALAYSIA', '00-1B']
----------------------------------------------------------------------
File "/mnt/gen2/TmpDir/portage/dev-python/netaddr-0.7.13/work/netaddr-0.7.13/netaddr/tests/3.x/eui/tutorial.txt", line 200, in tutorial.txt
Failed example:
    oui.registration(0).address
Expected:
    ['2380 N. ROSE AVENUE', 'OXNARD CA 93010', 'UNITED STATES']
Got:
    ['2380 N. ROSE AVENUE', 'OXNARD CA 93010', 'UNITED STATES', '08-0']
----------------------------------------------------------------------
File "/mnt/gen2/TmpDir/portage/dev-python/netaddr-0.7.13/work/netaddr-0.7.13/netaddr/tests/3.x/eui/tutorial.txt", line 209, in tutorial.txt
Failed example:
    oui.registration(1).address
Expected:
    ['CH-1211 GENEVE 23', 'SUISSE/SWITZ', 'SWITZERLAND']
Got:
    ['CH-1211 GENEVE 23', 'SUISSE/SWITZ', 'SWITZERLAND', '08-0']
----------------------------------------------------------------------
File "/mnt/gen2/TmpDir/portage/dev-python/netaddr-0.7.13/work/netaddr-0.7.13/netaddr/tests/3.x/eui/tutorial.txt", line 218, in tutorial.txt
Failed example:
    oui.registration(2).address
Expected:
    ['GPO BOX 2476V', 'MELBOURNE VIC 3001', 'AUSTRALIA']
Got:
    ['GPO BOX 2476V', 'MELBOURNE VIC 3001', 'AUSTRALIA', '08-0']


----------------------------------------------------------------------
Ran 28 tests in 0.567s

FAILED (failures=1)
There's a docs folder sitting there too.

--- netaddr-0.7.12.ebuild	2014-12-02 12:45:39.327881016 +0800
+++ netaddr-0.7.13.ebuild	2015-02-03 11:12:45.620716731 +0800
@@ -3,7 +3,7 @@
 # $Header: /var/cvsroot/gentoo-x86/dev-python/netaddr/netaddr-0.7.12.ebuild,v 1.3 2014/11/25 09:45:15 pacho Exp $
 
 EAPI=5
-PYTHON_COMPAT=( python{2_7,3_2,3_3,3_4} )
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
 
 inherit distutils-r1
 
@@ -14,11 +14,26 @@
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="cli"
+IUSE="doc cli"
 
 DEPEND=""
 RDEPEND="cli? ( >=dev-python/ipython-0.13.1-r1[${PYTHON_USEDEP}] )"
 
+python_compile_all() {
+	mkdir docs/source/{html,_static} || die
+	sphinx-build -b html -c docs/source/ docs/source/ docs/source/html || die
+}
+
 python_test() {
 	"${PYTHON}" netaddr/tests/__init__.py || die "Tests fail with ${EPYTHON}"
 }
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/source/html/. )
+	distutils-r1_python_install_all
+}

 * python2_7: running distutils-r1_run_phase python_install_all
>>> Completed installing netaddr-0.7.13 into /mnt/gen2/TmpDir/portage/dev-python/netaddr-0.7.13/image/

ecompressdir: bzip2 -9 /usr/share/doc

$ ls -ld /mnt/gen2/TmpDir/portage/dev-python/netaddr-0.7.13/image//usr/share/doc/netaddr-0.7.13/html
drwxr-xr-x 1 testuser testuser 470 Feb  3 11:13 /mnt/gen2/TmpDir/portage/dev-python/netaddr-0.7.13/image//usr/share/doc/netaddr-0.7.13/html
Comment 2 Justin Lecher (RETIRED) gentoo-dev 2015-04-03 17:26:57 UTC
+*netaddr-0.7.13 (03 Apr 2015)
+
+  03 Apr 2015; Justin Lecher <jlec@gentoo.org> +netaddr-0.7.13.ebuild,
+  -netaddr-0.7.10-r1.ebuild, -netaddr-0.7.11.ebuild, metadata.xml:
+  Version BUmp, #538432; remove old
+